Delete multiple records by their IDs in a single operation
The request body should contain an array of row_ids, where each id identifies a row to be deleted.
Required API Scope: Workspace Content: Delete
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
/
bulk
/
delete
Delete multiple records by their IDs in a single operation
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"row_ids": [
1
]
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/delete"
payload = { "row_ids": [1] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({row_ids: [1]})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
"<string>"
],
"success_total": 123,
"error": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/jsonmultipart/form-data
Was this page helpful?
Create a new database table with optional schema definition
Previous
Update multiple records in a single batch operation
Next
⌘I
Delete multiple records by their IDs in a single operation
